Bug 232749 - kpowersave crash with latest rawhide
kpowersave crash with latest rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kpowersave (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
: Desktop, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-16 22:34 EDT by A S Alam
Modified: 2013-07-02 20:44 EDT (History)
8 users (show)

See Also:
Fixed In Version: 0.7.3-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 12:49:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Same bug here, attachment : lspci (2 bytes, text/plain)
2007-04-04 04:04 EDT, Aznar
no flags Details

  None (edit)
Description A S Alam 2007-03-16 22:34:26 EDT
Description of problem:
after 15March update with latest rawhide /kernel, kpowersave started to crash
at startup and not working even after restart

Version-Release number of selected component (if applicable):
kpowersave-0.7.2-1.fc7
kernel-2.6.20-1.2990.fc7


How reproducible:
Everytime

Steps to Reproduce:
1. run kpowersave with latest rawhide
2.
3.
  
Actual results:
Application crashed

Expected results:
should not crashed

Additional info:
Comment 1 Aznar 2007-04-04 04:04:33 EDT
Created attachment 151645 [details]
Same bug here, attachment : lspci

this is my hardware configuration
Comment 2 Aznar 2007-04-04 04:11:57 EDT
Comment on attachment 151645 [details]
Same bug here, attachment : lspci

I've got the same bug here.
Linux 2.6.20-1.3023.fc7 #1 SMP i386 on an athlon 64.
kpowersave-0.7.2-1.fc7
Comment 3 Dennis Gilmore 2007-04-04 07:28:03 EDT
could one of you please install the kpowersave-debuginfo package and get a 
full traceback.  Im running rawhide and have not seen kpowersave crash at all.
Comment 4 A S Alam 2007-04-09 21:21:41 EDT
I have following version, which are working fine with Rawhide. 
---
kernel-2.6.20-1.3051.fc7
kpowersave-0.7.2-1.fc7
---
Closing bug, if have problem, please reopen it
Comment 5 Orion Poplawski 2007-04-24 16:30:15 EDT
I see it with:

kernel-2.6.20-1.3104.fc7
kpowersave-0.7.2-1.fc7

#6  0x00787fab in strlen () from /lib/libc.so.6
#7  0x06b86cba in QString::setLatin1 (this=0x9203f88, 
    str=0x1 <Address 0x1 out of bounds>, len=-1) at tools/qstring.cpp:6304
#8  0x06b86da0 in QString::setAscii (this=0x9203f88, 
    str=0x1 <Address 0x1 out of bounds>, len=-1) at tools/qstring.cpp:6285
#9  0x06b86dfc in QString::operator= (this=0x9203f88, 
    str=0x1 <Address 0x1 out of bounds>) at tools/qstring.cpp:1623
#10 0x00d97f08 in HardwareInfo::checkCurrentCPUFreqPolicy (this=0x9203f00)
    at hardware.cpp:552
#11 0x00d98190 in HardwareInfo::setCPUFreq (this=0x9203f00, cpufreq=DYNAMIC, 
    limit=75) at hardware.cpp:945
#12 0x00da674e in kpowersave::setSchemeSettings (this=0x9145738)
    at kpowersave.cpp:1657
#13 0x00da9742 in kpowersave (this=0x9145738, force_acpi_check=false)
    at kpowersave.cpp:136
#14 0x00dae551 in kdemain (argc=1, argv=0xbf96bd64) at main.cpp:84
#15 0x08048472 in main (argc=) at kpowersave.la.cpp:2
#16 0x0072ff10 in __libc_start_main () from /lib/libc.so.6
#17 0x080483c1 in _start ()

can't figure out how to get gdb to break at the right point though to check values.
Comment 6 Jason Tibbitts 2007-05-01 16:00:19 EDT
I have essentially the same backtrace.  But the crash is not consistent; last
night it wouldn't start at all, but today it seems to run, although instead of
suspending it just gives me an unlock dialog (which I suppose is a separate bug).
Comment 7 David Kovalsky 2007-05-14 12:40:14 EDT
I have a crash everytime when trying to run from root terminal.

traceback:
[?1034hUsing host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208924464 (LWP 3728)]
[KCrash handler]
#6  0x003c5a7a in kpowersave::setSchemeSettings (this=0x9a62ae8)
    at kpowersave.cpp:1606
#7  0x003c8742 in kpowersave (this=0x9a62ae8, force_acpi_check=false)
    at kpowersave.cpp:136
#8  0x003cd551 in kdemain (argc=1, argv=0xbf9d34e4) at main.cpp:84
#9  0x08048472 in main (argc=) at kpowersave.la.cpp:2
#10 0x00d14f30 in __libc_start_main () from /lib/libc.so.6
#11 0x080483c1 in _start ()

kernel-2.6.21-1.3116.fc7
kpowersave-0.7.2-1.fc7

output on root terminal:
[root@kovinek ~]# kpowersave
DCOP: register 'kpowersave' -> number of clients is now 2
DCOP: register 'anonymous-3727' -> number of clients is now 3
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = kpowersave path = <unknown> pid = 3728
DCOP aborting (delayed) call from 'anonymous-3727' to 'kpowersave'
[root@kovinek ~]# DCOP: unregister 'kpowersave'
DCOP: unregister 'anonymous-3727'
kdeinit: Got EXEC_NEW 'drkonqi' from socket.
Could not load library! Trying exec....
kdeinit: PID 3732 terminated.
DCOP: register 'anonymous-3733' -> number of clients is now 2
DCOP:  'anonymous-3733' now known as 'drkonqi-3733'

Let me know what kind of information will help you track this issue.

Comment 8 David Kovalsky 2007-05-14 12:48:55 EDT
Also tested with latest rawhide kernel, still crashes.

[root@kovinek ~]# uname -a
Linux kovinek 2.6.21-1.3142.fc7 #1 SMP Mon May 7 21:14:09 EDT 2007 i686 i686
i386 GNU/Linux
Comment 9 Orion Poplawski 2007-05-23 13:57:35 EDT
After disappearing for a while for me, it's back now.
Comment 10 Dennis Gilmore 2007-05-23 14:13:56 EDT
for those who it crashes on is dbus running?  the only time ive been able to
crash it is by having dbus not running or restarting dbus
Comment 11 David Kovalsky 2007-05-24 06:58:29 EDT
From what I can tell the dbus service is running:

[root@kovinek ~]# ps axu|grep dbus|grep -v grep
dbus      2340  0.0  0.0   2824   948 ?        Ss   06:04   0:01 dbus-daemon
--system
dkovalsk  2889  0.0  0.0   4488   556 ?        Ss   06:04   0:00
/usr/bin/ssh-agent /usr/bin/dbus-launch --exit-with-session startkde
dkovalsk  2892  0.0  0.0   2840   492 ?        S    06:04   0:00
/usr/bin/dbus-launch --exit-with-session startkde
dkovalsk  2893  0.0  0.0   2828   768 ?        Ss   06:04   0:00
/bin/dbus-daemon --fork --print-pid 4 --print-address 8 --session

and kpowersave still crashes. 
kernel-2.6.21-1.3167.fc7
kpowersave-0.7.2-1.fc7
dbus-1.0.2-4.fc7

Interestingly when I run kpowersave from the terminal under a non-privilaged
user (the same as I logged into KDE) kpowersave starts without any problem. Of
course I cannot do anything useful is it's running unpriviliged.

If I try to start it from the root terminal -> crash.
Comment 12 Jakub Hrozek 2007-05-28 08:42:34 EDT
The crash is still present on today's latest & greatest rawhide:

[jakub@rincewind] ~ $ rpm -q kdelibs kdebase qt dbus-qt kpowersave kernel dbus
kdelibs-3.5.6-9.fc7
kdebase-3.5.6-12.fc7
qt-3.3.8-4.fc7
dbus-qt-0.70-1.fc7
kpowersave-0.7.2-1.fc7
kernel-2.6.21-1.3189.fc7
kernel-2.6.21-1.3194.fc7
dbus-1.0.2-4.fc7

kpowersave won't start as root or non-privileged user. The backtrace I get is 
the same as David described in comment #7.
Comment 13 Fabio Comolli 2007-06-03 06:34:07 EDT
Bug still present in F7 release.
Also, if started as root user does not show the "Suspend to disk" entry.
Comment 14 Fabio Comolli 2007-06-08 14:43:22 EDT
Both the crash problem and the missing "Suspend to disk" entry seem fixed with
today's update.

Many thanks.
Comment 15 David Kovalsky 2007-06-18 07:11:03 EDT
I'm running latest F7 and the problem still persists.

[root@kovinek ~]# rpm -q kdelibs kdebase qt dbus-qt kpowersave kernel dbus|sort
dbus-1.0.2-4.fc7
dbus-qt-0.70-1.fc7
kdebase-3.5.6-12.fc7
kdelibs-3.5.6-9.fc7
kernel-2.6.21-1.3228.fc7
kpowersave-0.7.2-1.fc7
qt-3.3.8-4.fc7

Backtrace:
Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208506672 (LWP 4307)]
[KCrash handler]
#6  0x00c9659b in strlen () from /lib/libc.so.6
#7  0x006e7cba in QString::setLatin1 () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#8  0x006e7da0 in QString::setAscii () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#9  0x006e7dfc in QString::operator= () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#10 0x07ad3568 in HardwareInfo::checkCurrentCPUFreqPolicy (this=0x9ec0f98)
    at hardware.cpp:552
#11 0x07ad37f0 in HardwareInfo::setCPUFreq (this=0x9ec0f98, cpufreq=DYNAMIC, 
    limit=75) at hardware.cpp:945
#12 0x07ae1dae in kpowersave::setSchemeSettings (this=0x9dfc430)
    at kpowersave.cpp:1657
#13 0x07ae4da2 in kpowersave (this=0x9dfc430, force_acpi_check=false)
    at kpowersave.cpp:136
#14 0x07ae9bb1 in kdemain (argc=1, argv=0xbfbaed84) at main.cpp:84
#15 0x08048472 in main (argc=) at kpowersave.la.cpp:2
#16 0x00c3df70 in __libc_start_main () from /lib/libc.so.6
#17 0x080483c1 in _start ()
Comment 16 Martin Bacovsky 2007-09-06 04:28:19 EDT
I'm experiencing this problem too. kpowersave crashes on startup everytime in
latest rawhide.

[root@makaham ~]# rpm -q kdelibs kdebase qt dbus-qt kpowersave dbus|sort
dbus-1.1.2-4.fc8
dbus-qt-0.70-2.fc8
kdebase-3.5.7-13.fc8
kdelibs-3.5.7-21.fc8
kpowersave-0.7.3-0.2svn20070828.fc8
qt-3.3.8-7.fc8

[root@makaham ~]# uname -a
Linux makaham 2.6.23-0.164.rc5.fc8 #1 SMP Tue Sep 4 19:20:43 EDT 2007 i686 i686
i386 GNU/Linux

Backtrace:
Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1209067296 (LWP 3922)]
[KCrash handler]
#6  0x0012d402 in __kernel_vsyscall ()
#7  0x00214150 in raise () from /lib/libc.so.6
#8  0x00215a51 in abort () from /lib/libc.so.6
#9  0x00b23639 in kdbgstream::flush () from /usr/lib/libkdecore.so.4
#10 0x00168405 in endl (s=@0xbfb0b8ac) at /usr/include/kde/kdebug.h:232
#11 0x001a6189 in kpowersave (this=0x8671d90, force_acpi_check=false, 
    trace_func=false) at /usr/include/kde/kdebug.h:260
#12 0x001ad57a in kdemain (argc=1, argv=0xbfb0bb34) at main.cpp:88
#13 0x080484d2 in main (argc=) at kpowersave.la.cpp:2
#14 0x002010f0 in __libc_start_main () from /lib/libc.so.6
#15 0x080483f1 in _start ()

If I can provide any info you need, please let me know.
Comment 17 David Kovalsky 2007-09-06 04:39:20 EDT
And still crashes the same way in F7 with the latest updates. Feel free to
contact me for F7 data.
Comment 18 Fedora Update System 2007-11-08 01:01:28 EST
kpowersave-0.7.3-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kpowersave'
Comment 19 Fedora Update System 2007-11-20 12:49:11 EST
kpowersave-0.7.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.